---
title: "ContenthubNews returns detailed information about a single Contenthub news item identified by its slug or its ID as a path parameter."
url: "https://developer.migros.ch/apis/content-search-api-prod-v1/versions/91af33ef-c15b-4385-bee3-2bafb1c92034/operations/ContentSearch_ContenthubNews"
---

> Full API specification: https://developer.migros.ch/apis/content-search-api-prod-v1/versions/91af33ef-c15b-4385-bee3-2bafb1c92034.md

# ContenthubNews returns detailed information about a single Contenthub news item identified by its slug or its ID as a path parameter.

`GET` `/migros/contentsearch/v1/contenthub/news/{slugOrId}`

Operation ID: `ContentSearch_ContenthubNews`

## Path parameters

- `slugOrId` (string, required) - Required. Path parameter for the news item. Represents either the slug or the ID of the news item. Only one value should be provided.

## Query parameters

- `language` (string, optional) - Optional. Specifies the language in which the news article should be returned. If not provided, the default language is German.

## Responses

- `200` - A successful response.
- `default` - An unexpected error response.

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: ContentSearch API PROD
  version: v1.114.1
servers:
  - url: https://api.migros.ch
paths:
  /migros/contentsearch/v1/contenthub/news/{slugOrId}:
    get:
      operationId: ContentSearch_ContenthubNews
      parameters:
        - description: >-
            Required. Path parameter for the news item.

            Represents either the slug or the ID of the news item. Only one
            value

            should be provided.
          in: path
          name: slugOrId
          required: true
          schema:
            type: string
        - description: |-
            Optional. Specifies the language in which the news article should be
            returned. If not provided, the default language is German.
          in: query
          name: language
          required: false
          schema:
            default: DE
            enum:
              - DE
              - FR
              - IT
              - EN
            type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                allOf:
                  - $ref: "#/components/schemas/contentsearchContentHubNewsResponse"
          description: A successful response.
        default:
          content:
            application/json:
              schema:
                allOf:
                  - $ref: "#/components/schemas/googlerpcStatus"
          description: An unexpected error response.
      security:
        - apiKeyAuth: []
      summary: >-
        ContenthubNews returns detailed information about a single Contenthub
        news

        item identified by its slug or its ID as a path parameter.
      tags:
        - ContentSearch
security:
  - apiKeyAuth: []
components:
  schemas:
    contentsearchContentHubNewsResponse:
      description: >-
        Response to an attempt to retrieve a Contenthub news item either by its
        slug

        or by its ID.
      properties:
        news:
          allOf:
            - $ref: "#/components/schemas/consolcontentsearchContenthubNews"
          description: Optional. The news item with the requested slug or ID.
      type: object
    googlerpcStatus:
      properties:
        code:
          format: int32
          type: integer
        details:
          items:
            allOf:
              - $ref: "#/components/schemas/protobufAny"
            type: object
          type: array
        message:
          type: string
      type: object
    consolcontentsearchContenthubNews:
      description: A message representing a 'detail view' of a news item.
      properties:
        contacts:
          description: Optional. List of contacts related to the news item.
          items:
            allOf:
              - $ref: "#/components/schemas/consolcontentsearchContact"
            type: object
          type: array
        content:
          description: Required. Full content of the news item.
          type: string
        downloads:
          description: Optional. List of downloadable items related to the news item.
          items:
            allOf:
              - $ref: "#/components/schemas/contentsearchDownload"
            type: object
          type: array
        id:
          description: Required. An opaque system ID.
          type: string
        image:
          allOf:
            - $ref: "#/components/schemas/contentsearchImage"
          description: Required. URL for the main image of the news item.
        intro:
          description: Required. Introductory text for the news item.
          type: string
        publishedTimestamp:
          description: Required. Timestamp when the news item was published.
          format: date-time
          type: string
        region:
          description: Required. The region for the news item.
          type: string
        shortTitle:
          description: Required. Short title of the news item.
          type: string
        slug:
          description: Required. The slug of this news item.
          type: string
        tags:
          description: Required. Tags for this news item.
          items:
            allOf:
              - $ref: "#/components/schemas/contentsearchCategoryTag"
            type: object
          type: array
        title:
          description: Required. The title of this news item.
          type: string
        translationAvailable:
          description: Required. Indicates if translations are available.
          type: boolean
      type: object
    protobufAny:
      additionalProperties: {}
      properties:
        "@type":
          type: string
      type: object
    consolcontentsearchContact:
      properties:
        address:
          description: Physical address of the contact.
          type: string
        company:
          description: Name of the company associated with the contact.
          type: string
        description:
          description: Description of the contact.
          type: string
        email:
          description: Email address for the contact.
          type: string
        function:
          description: Function of the contact.
          type: string
        image:
          allOf:
            - $ref: "#/components/schemas/contentsearchImage"
          description: Image associated with the contact.
        mobile:
          description: Mobile phone number for the contact.
          type: string
        phone:
          description: Phone number for the contact.
          type: string
        title:
          description: Title of the contact.
          type: string
      type: object
    contentsearchDownload:
      properties:
        filename:
          description: Original filename of the downloadable file.
          type: string
        mimeType:
          description: MIME type of the downloadable file, e.g., "application/pdf" or
            "image/png".
          type: string
        size:
          description: Size of the file in bytes.
          format: uint64
          type: string
        title:
          description: Title of the downloadable item.
          type: string
        url:
          description: URL where the downloadable file can be accessed.
          type: string
      type: object
    contentsearchImage:
      properties:
        altText:
          type: string
        caption:
          type: string
        credits:
          type: string
        focalPoint:
          allOf:
            - $ref: "#/components/schemas/ImagePoint"
        height:
          format: int64
          type: string
        id:
          type: string
        mimeType:
          type: string
        shortCaption:
          type: string
        url:
          type: string
        width:
          format: int64
          type: string
      type: object
    contentsearchCategoryTag:
      properties:
        category:
          type: string
        id:
          type: string
        title:
          type: string
      type: object
    ImagePoint:
      properties:
        x:
          format: int64
          type: string
        y:
          format: int64
          type: string
      type: object
  securitySchemes:
    apiKeyAuth:
      in: header
      name: X-Api-Key
      type: apiKey
```
